@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&display=swap');

:root {
    --padding-container: 80px 0;
    --color-primary: #0beb30;
    /* --color-secondary: #ff8800c9; */
    --color-secondary: #fc8f00f6;
    --color-primary2: #0258f7;
    --color-bg: #f1f1f1;
    --color-bg2: #be9f8163;
    --align-title: center;
    --box-shadow: 0 0 12px black;
    --box-shadow2: 7px -5px 15px -1px #000000;
    --bg-cards: #dadadad2;


}


* {
    margin: 0; 
    padding: 0; 
    box-sizing: border-box; 
    /* outline: 1px solid red; */
} 

body {
    font-family: "Merriweather", serif;
}

.container {
    /* background-color: purple; */
    width: 90%;
    max-width: 1200px;
    overflow: hidden;
    margin: 0 auto;
    padding: var(--padding-container);
}





/* Hero Section */

.hero {
    --padding-container: 30px 0 0 0 ;
    height: 100vh;
    background-image: url('../assets/bg0-1920x1200.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.hero__main {
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;

    /* background-color: purple; */
}



.hero__img { /*contendor de la imagen*/
    order: 1;
    width: 400px;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    /* background: purple; */
}

.hero__picture {
    /* background: purple; */
    width: 90%;
    height: 90%;
    background-image: url('../assets/Logo-Serpromec.jpg');
    background-size: cover;
    background-position: center;
    border-radius: 50%;
    border: 3px solid rgb(31, 31, 29);
    box-shadow: 0 0 30px 0 #03e0e7de;
}

.hero__texts {
    order: 0;
    width: 60%;
    /* background: #19c536; */
    text-align: var(--align-title);
    color: var(--color-primary);
}

.hero__title {
    font-size: 4rem;
    -webkit-text-stroke: 1px rgb(0, 0, 0);
    text-shadow: 2px 2px rgb(255, 255, 255);
    margin-bottom: 60px;
    
}

.hero__copy {
    font-size: 1.5rem;
    font-weight: 300;
    color: #000000;
    background-color: var(--color-secondary);
}



/* About Section */

.title {
    font-size: 2.5rem;
    margin: 0;
    margin-bottom: 40px;
    color: var(--color-secondary);
    text-align: var(--align-title);
    text-shadow: 2px 2px 3px black;
}

.about {
    background: var(--color-bg2);
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.about__img {
    width: 45%;
    text-align: center;
    margin: 0;
}

.about__picture {
    max-width: 80%;
    border-radius: 25px;
    box-shadow: var(--box-shadow2)
}

.about__texts {
    width: 50%;
    --align-title: left;
    margin-left: 20px;
    /* background: purple; */
}

.about__paragraph {
    line-height: 1.5;
    padding: 10px 0;
}

.about__cta {
    display: inline-block;
    margin-top: 20px;
    background: var(--color-primary);
    padding: 20px 40px;
    border-radius: 30px;
    color: #2009f1;
    text-decoration: none;
}

.about__cta:hover {
    cursor: pointer;
    transition: .3s ease all;
    background: var(--color-secondary);
    color: #fff;
}



/* Portfolio Section */

.portfolio {
     background: var(--color-bg)
}

.portfolio__cards {
    display: flex;
    padding: 40px 0;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.portfolio__card {
    width: 27%;
    background: #fff;
    height: auto;
    box-shadow: var(--box-shadow2);
    border-radius: 10px;
}

.portfolio__picture {
    width: 100%;
    display: block;
    border-radius: 10px 10px 0 0;
    height: 200px;
    object-fit: cover;
}

.portfolio__texts {
    padding: 30px 20px 40px 20px;
}

.portfolio__title {
    font-size: 1.3rem;
    text-align: center;
    margin-bottom: 10px;
    color: var(--color-secondary);
}

.portfolio__paragraph {
    margin: 30px 0;
    font-weight: 300;
}

.portfolio__cta {
    display: block;
    background: var(--color-primary);
    padding: 15px 0;
    border-radius: 30px;
    text-align: center;
    font-weight: 300;
    color: #2009f1;
    text-decoration: none;
}

.portfolio__cta:hover {
    cursor: pointer;
    transition: .3s ease all;
    background: var(--color-secondary);
    color: #fff;
}



/* Copy Section */

.copy {
    /* background: var(--color-secondary); */
    background: linear-gradient(150deg,rgba(17, 81, 242, 0.712) 0%, rgba(35, 176, 56, 0.753) 50%, rgba(7, 7, 217, 0.74) 98%);
}

.title--margin {
    color: #ffffff;
    margin: 0;
    text-shadow: 2px 2px 3px black;
}



/* gallery section */

.gallery__container {
    padding: 20px 0;
    /* background: purple; */
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.gallery__picture {
    width: 30%;
    height: 250px;
    margin-bottom: 20px;
    display: block;
    border-radius: 5px;
    object-fit: cover;
    box-shadow: var(--box-shadow);
}



/* Languages Section */

.languages {
    background: var(--color-bg);
}

.languages__container {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.languages__picture {
    width: 10%;
    height: 120px;
}



/* Contact Section */

.icon {
    width: 20px;
    height: 20px;
}

.title__cards {
    font-size: 1.5rem;
    color: var(--color-primary2);
    margin-bottom: 10px;
    text-align: var(--align-title);
}

.contact {
    background: linear-gradient(150deg,rgba(17, 81, 242, 1) 0%, rgba(35, 176, 56, 1) 50%, rgba(7, 7, 217, 1) 98%);
}

.contact__cards {
    /* background: rgb(6, 10, 223); */
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 20px;
    padding: 20px 20px;
}

.contact__redes {
    background: var(--bg-cards);
    border: 2px solid rgb(75, 75, 75);
    border-radius: 10px;
    width: 45%;
    padding: 10px 10px;
    box-shadow: var(--box-shadow2);
}

.redes__link {
    display: flex;
    height: 50px;
    justify-content: var(--align-title);
    align-items: center;
    /* background-color:var(--color-bg2); */
}

.redes__img {
    /* padding: 5px; */
    width: 40px;
    height: 40px;
}

.contact__contact {
    background: var(--bg-cards);
    border: 2px solid rgb(75, 75, 75);
    border-radius: 10px;
    width: 45%;
    padding: 10px 10px;
    box-shadow: var(--box-shadow2);
}

.contact__paragraph {
    text-align: center;
    /* background-color:var(--color-bg2); */
    font-weight: 300;
    margin-bottom: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact__img {
    margin-right: 10px;
    width: 25px;
    height: 25px;
}

.contact__mapa {
    margin-top: 20px;
    background: var(--bg-cards);
    border: 2px solid rgb(75, 75, 75);
    border-radius: 10px;
    width: 100%;
    height: 400px;
    padding: 10px 10px;
    box-shadow: var(--box-shadow2);
}

.mapa__paragraph {
    text-align: center;
    /* background-color:var(--color-bg2); */
    font-weight: 300;
    margin-bottom: 5px; 
}

.mapa {
    margin-top: 25px;
    width: 100%;
    height: 250px;
}



/* Footer Section */

.footer {
    /* background: var(--color-bg2); */
    background-color: #5380d471;
}

.footer__container {
    --padding-container: 30px 0 30px 0 ;
    flex-wrap: wrap;
}

.footer__info {
    /* background: purple; */
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    margin-bottom: 5px;
}

.footer__picture {
    width: 100px;
    height: 40px;
}

.footer__paragraph {
    text-align: center;
}





/* Media Queris Section */

@media screen and (max-width: 1200px) {

    .hero__main {
        flex-direction: column;
        justify-content: space-evenly;
    }

    .hero__title {
        margin-bottom: 40px;
    }
    
}

@media screen and (max-width: 800px) {

    .about {
        gap: 30px;
    }

    .about__texts {
        width: 100%;
        margin-bottom: 30px;
    }

    .about__img {
        width: 80%;
        margin: 0 auto;
    }

    .about__cta {
        margin: 0 auto;
    }

    .portfolio__card {
        width: 45%;
        margin-bottom: 50px;
    }

    .portfolio__container {
        --padding-container: 80px 0 0 0 ;
    }

    .title--margin {
        font-size: 2rem;
    }
    
    .portfolio__title {
        font-size: 1.2rem;
    }

    .languages__picture {
        width: 12%;
        height: 90px;
    }

    .title__cards {
        font-size: 1.4rem;
    }

    .contact__paragraph {
        font-size: 0.9rem;
    }

    .footer__info {
        flex-direction: column;
        margin-bottom: 20px;
        line-height: 1.5;
    }
}


@media screen and (max-width: 672px) {
    
    .hero__title {
        font-size: 3rem;
    }

    .title {
        font-size: 2rem;
    }

    .hero__img {
        width: 300px;
        height: 300px;
    }
}

@media screen and (max-height: 672px) {
    
    .hero__title {
        font-size: 3rem;
    }

    .title {
        font-size: 2rem;
    }

    .hero__img {
        width: 300px;
        height: 300px;
    }
    
}

@media screen and (max-width: 550px) {
    
    .hero__title {
        font-size: 3rem;
    }

    .title {
        font-size: 2rem;
    }

    .hero__copy {
        font-size: 1.2rem;
    }

    .hero__img {
        width: 300px;
        height: 300px;
    }

    .gallery__picture {
        width: 45%;
    }

    .languages__picture {
        width: 15%;
        height: 80px;
    }

    .contact__redes {
        width: 100%;
    }

    .contact__contact {
        width: 100%;
    }

    .contact__mapa {
        margin-top: 5px;
    }

}

@media screen and (max-width: 440px) {
    
    .hero__title {
        font-size: 2.5rem;
    }

    .hero__texts {
        width: 80%;
    }


    .hero__copy {
        font-size: 1rem;
    }

    .about__img {
        width: 100%;
        margin: 0 auto;
    }

    .portfolio__card {
        width: 85%;
    }

    .title--margin {
        font-size: 1.8rem;
    }

    .languages__picture {
        
        height: 60px;
    }

    .mapa__paragraph {
        font-size: 0.9rem;
    }

}

@media screen and (max-height: 440px) {

    .hero__texts {
        width: 85%;
    }

    .hero__img {
        width: 250px;
        height: 250px;
    }

    .hero__title {
        font-size: 2.5rem;
    }

    .hero__copy {
        font-size: 1rem;
    }

}

@media screen and (max-width: 360px) {

    .title {
        font-size: 1.7rem;
    }

    .hero__texts {
        width: 90%;
    }

    .about__img {
        margin: 20 auto;
    }

    .gallery__picture {
        width: 85%;
    }

    .languages__picture {
        width: 18%;
        height: 60px;
    }

    .mapa {
        height: 235px;
    }

}

@media screen and (max-height: 360px) {

    .hero__texts {
        width: 60%;
    }

    .hero__img {
        width: 180px;
        height: 180px;
    }

    .hero__title {
        font-size: 2rem;
    }

    .hero__copy {
        font-size: 0.8rem;
    }

    .hero__title {
        margin-bottom: 20px;
    }
  
    
}